Subject: RE: [nemo] RE: Home Network models update

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Fri, 3 Feb 2006 16:14:08 +0100

Pekka, Alex:

I understand the concern. 

For the last 2 weeks, nobody else voiced an advice. 

My take is that if I had to do it again, I'd follow your recommendation.
But now it's all done, checked (I deployed it on hardware) and things
like fitting the ascii art would require quite some work if I had to
change. 

So I wish to leave it as is.

Pascal

>-----Original Message-----
>From: Pekka Savola [mailto:[email-masked]]
>Sent: Friday, January 20, 2006 1:42 PM
>To: Alexandru Petrescu
>Cc: Pascal Thubert (pthubert); [email-masked]
>Subject: Re: [nemo] RE: Home Network models update
>
>On Thu, 19 Jan 2006, Alexandru Petrescu wrote:
>> Pekka Savola wrote:
>>> On Thu, 19 Jan 2006, Pascal Thubert (pthubert) wrote:
>>>> "To illustrate this configuration, we make up the prefixes to
>>>> reflect their role, like CAB:C0::/32 for the Home Network:"
>>> ...
>>>> Is that OK with you?
>>>
>>> OK.
>>
>> Otherwise maybe make example 2001:DB8:cabc:0::/56 and then refer it
into
>> the text as "the Cab Co prefix"?
>
>Let me expand on my feelings on this.
>
>ID-Checklist makes it quite clear that other than 2001:DB8::/32 should
>not be used.  But that is just a guideline, and there have been cases
>in the past (I've written one myself: see RFC 3964) where it has been
>reasonable to use other prefixes instead.
>
>In such cases, documenting the justification (and placing a warning)
>has been required.
>
>Personally, I'm not really convinced that using CAB:C0::/32 brings
>enough value (I don't think it can be confused because it's only used
>in one section of the document, and other prefixes aren't mentioned in
>that part of the document).  But given that I don't think this issue
>is major and at least some reason has been proposed, I think this
>issue should be decided by the WG and the AD (Margaret).
>
>--
>Pekka Savola                 "You each name yourselves king, yet the
>Netcore Oy                    kingdom bleeds."
>Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 03 Feb 2006 16:27:54 +0100

Pascal Thubert \(pthubert\) wrote:
> My take is that if I had to do it again, I'd follow your
> recommendation. But now it's all done, checked (I deployed it on
> hardware)

Pascal, I think that anybody who advised you can go ahead assign 
cab:c0::/64 to your hardware is completely wrong.  That hardware will 
never connect to the Internet.

> and things like fitting the ascii art would require quite some work
> if I had to change.

I don't think there's any hurry to set in stone some document saying 
that, for example, some hardware actually uses cab:co::/64.

I also understand the concern that modifying text may involve more 
re-checking beyond the already done check.

Alex

>> -----Original Message----- From: Pekka Savola
>> [mailto:[email-masked]] Sent: Friday, January 20, 2006 1:42 PM 
>> To: Alexandru Petrescu Cc: Pascal Thubert (pthubert); [email-masked]
>> ID-Checklist makes it quite clear that other than 2001:DB8::/32
>> should not be used.  But that is just a guideline, and there have
>> been cases in the past (I've written one myself: see RFC 3964)
>> where it has been reasonable to use other prefixes instead.
>> 
>> In such cases, documenting the justification (and placing a
>> warning) has been required.
>> 
>> enough value (I don't think it can be confused because it's only
>> used in one section of the document, and other prefixes aren't
>> mentioned in that part of the document).  But given that I don't
>> think this issue is major and at least some reason has been
>> proposed, I think this issue should be decided by the WG and the AD
>> (Margaret).
>> 
>> -- Pekka Savola                 "You each name yourselves king, yet
>> the Netcore Oy                    kingdom bleeds." Systems.
>> Networks. Security. -- George R.R. Martin: A Clash of Kings
>